;ATTE.LSP - 	Use AutoCAD DDATTE to edit multi attributed blocks one after 
;		another, you may select with pic, window or crossing, 
;		everything else is filtered out, and attributes being
;		edited are highlighted, just like a REAL AutoCAD command...
;		(this routine has been tested rigorously by my cat, Bigger:)
;from: Western Sierra Software Works!
;      3450 Palmer Drive - Suite 7-166
;      Cameron Park, CA  95682
; for: (a reworking of TXE.lsp for Ralph Pfeiff - 74271,2032)
; and: Distributed as Freeware to Compuserve AutoLISP Library
;  by: Robert Creamer April 1995
;This routine created using Visual LISP, WSSW's Win. 3.1 AutoLISP Editor
;Macro for Acad.lsp (defun c:atxe () (load "atxe")(c:atxe))
;
(defun c:ATTE (/ O-CMD A1SS NDX A2SS O-ATS)		;begin ATXE function
 (if (/= 0 (setq O-CMD (getvar "cmdecho")))		;test value of cmdecho
  (setvar "cmdecho" 0))					;turn off if on
 (princ "\nATTE from Western Sierra Software Works! c1995 ") ;short ad
 (prompt "\nSelect Attributes to edit")			;instruction for ssget
 (setq A1SS (ssget))					;create selection set
 (if A1SS						;if selection set
  (progn (setq NDX (sslength A1SS))			;progn 1 & set index
   (while (> NDX 0)					;start while 1
    (setq A2SS (entget (ssname A1SS (setq NDX (1- NDX))))) ;set up ent test
    (cond (						;let's test 'em folks
	(or  ( = (assoc 66 A2SS) nil)			;if no ents follow flag
	 ( /= (cdr (assoc 0 A2SS)) "INSERT"))		;if ent not block
           (ssdel (ssname A1SS NDX) A1SS)    )	       	;delete from sel set
    )							;end test "INSERT" & 66
   )							;end while NDX > 0
   (if A1SS						;start if 2 (if ATTRIB)
   (progn (setq NDX 0)					;start progn 2
     (while (< NDX (sslength A1SS))			;start while 2
      (setq O-ATS (ssname A1SS NDX))			;get the text entity
      (redraw (ssname A1SS NDX) 3)			;hilite each string
      (command "_.DDATTE" O-ATS)			;edit each entity
      (redraw (ssname A1SS NDX) 4)			;unhilite each string
      (setq NDX (1+ NDX))				;reset NDX
     )							;end while change txt
    )							;end progn 2
    (prompt "\nAttributes only, return to try again ")	;reminder
   )							;end if 2
  )							;end progn 1
  (prompt "\nYou have to pic to play, return to try again  ");reminder
 )							;end if 1
 (if (/= 0 O-CMD)(setvar "cmdecho" 1))			;reset cmdecho if needed
 (princ "\n ")(princ)					;blank line & no nil
)							;end defun

